Subject: Re: bug#15260: cannot build in a directory with non-ascii characters

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Oct 2013 00:05:32 -0400

> As I explained, this would be even more hair than what I proposed,
> because you are talking about core Emacs data structures and variables
> that are involved in every file-related op.

> On top of that, using unibyte strings is inherently fragile in Emacs,
> as the code is not written to support them too well, as you well
> know.  We always advise users to stay away of unibyte strings, and for
> a good reason, so doing this ourselves sounds unwise.

I know, but I'm not sure why it doesn't "just work".

More specifically, for the bug to appear, you need ENCODE (DECODE (s))
to not be the identity function.  Why is not so in the "early" Emacs?

        Stefan